Create a runtime field

Base URL
https://{kibana_url}
  • POST /api/data_views/data_view/{viewId}/runtime_field
Auth

Create a runtime field for a data view. Runtime fields are computed at query time using a Painless script and do not require reindexing. If no script is provided, the runtime field returns the corresponding value from the document _source.

Path parameters

viewId string required

An identifier for the data view.

Example: ff959d40-b880-11e8-a6d9-e546fe2bba5f

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

name string required

The name for a runtime field.

runtimeField object required

The runtime field definition object.

Response

Indicates a successful call.

application/json

Response Type: object

Base URL
https://{kibana_url}